--- src/Makefile.orig	2014-04-02 16:52:31.000000000 +0200
+++ src/Makefile	2014-04-02 16:50:47.000000000 +0200
@@ -22,7 +22,8 @@
 
 PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris
 
-LUA_A=	liblua.a
+LUA_A=	liblua-${V}.a 
+LUA_DYLIB= liblua-${V}.dylib
 CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
 	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
 	lundump.o lvm.o lzio.o
@@ -36,8 +37,8 @@
 LUAC_O=	luac.o print.o
 
 ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
-ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
-ALL_A= $(LUA_A)
+ALL_T= $(LUA_A) $(LUA_DYLIB) $(LUA_T) $(LUAC_T)
+ALL_A= $(LUA_A) $(LUA_DYLIB)
 
 default: $(PLAT)
 
@@ -48,9 +49,15 @@
 a:	$(ALL_A)
 
 $(LUA_A): $(CORE_O) $(LIB_O)
+	@echo "Building static library"
 	$(AR) $@ $(CORE_O) $(LIB_O)	# DLL needs all object files
 	$(RANLIB) $@
 
+$(LUA_DYLIB): $(CORE_O) $(LIB_O)
+	@echo "Building dylib"
+	$(CC) -o $@ $(MYLDFLAGS) -dynamiclib -install_name ${INSTALL_LIB}/$@ \
+		-compatibility_version ${V} -current_version ${R} $^
+
 $(LUA_T): $(LUA_O) $(LUA_A)
 	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)
 
@@ -99,7 +106,7 @@
 	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"
 
 macosx:
-	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-lreadline"
+	$(MAKE) all MYCFLAGS="-fno-common -DLUA_USE_LINUX" MYLIBS="-lreadline"
 # use this on Mac OS X 10.3-
 #	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX
 
